Subject: bug#59602: closed (Re: bug#59602: 29.0.50; csharp-mode should either be a package, or compat code could be removed)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Nov 2022 09:39:03 +0000

Your bug report

#59602: 29.0.50; csharp-mode should either be a package, or compat code could be removed

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59602: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59602
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59602: 29.0.50; csharp-mode should either be a package, or compat code could be removed
From: Stefan Kangas <[email-masked]>
To: Theodor Thornhill <[email-masked]>
Cc: [email-masked],Jostein Kjønigsen <[email-masked]>
Date: Sun, 27 Nov 2022 01:38:44 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Theodor Thornhill <[email-masked]> writes:

> I agree.  The compat code should be removed.  I don't thing we have much
> to gain by maintaining this as a :core package, so here's a patch doing
> what you suggest.  I don't think that code should be part of Emacs at
> all, if not absolutely necessary :-)

Thanks, since both you and Jostein seems to agree, I've pushed this
change (commit ea2f2f1e71).  I'm therefore closing this bug report.

Subject: 29.0.50; csharp-mode should either be a package, or compat code could be removed
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Sat, 26 Nov 2022 00:14:04 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

Is csharp-mode.el intended to be a :core package or should people just
use the version that comes with Emacs?

If the former, I guess some Version and Package-Requires headers
are needed.

If the latter, the compat code starting on line 512 could probably be
removed.